/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { WebDropdownDescription } from "./WebDropdownDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let WebSelectDescription = /*@__PURE__*/ (() => {
    class WebSelectDescription extends WebDropdownDescription {
        constructor() {
            super();
            this.au = null;
            this.as = null;
            this.ad = false;
            this.ag = false;
            this.ae = false;
            this.af = false;
            this.ac = false;
            this.ar = null;
            this.at = null;
            this.ah = false;
            this.ap = null;
            this.aq = null;
            this.ao = null;
        }
        get_type() {
            return "WebSelect";
        }
        get value() {
            return this.au;
        }
        set value(a) {
            this.au = a;
            this.e("Value");
        }
        get name() {
            return this.as;
        }
        set name(a) {
            this.as = a;
            this.e("Name");
        }
        get disabled() {
            return this.ad;
        }
        set disabled(a) {
            this.ad = a;
            this.e("Disabled");
        }
        get required() {
            return this.ag;
        }
        set required(a) {
            this.ag = a;
            this.e("Required");
        }
        get invalid() {
            return this.ae;
        }
        set invalid(a) {
            this.ae = a;
            this.e("Invalid");
        }
        get outlined() {
            return this.af;
        }
        set outlined(a) {
            this.af = a;
            this.e("Outlined");
        }
        get autofocus() {
            return this.ac;
        }
        set autofocus(a) {
            this.ac = a;
            this.e("Autofocus");
        }
        get label() {
            return this.ar;
        }
        set label(a) {
            this.ar = a;
            this.e("Label");
        }
        get placeholder() {
            return this.at;
        }
        set placeholder(a) {
            this.at = a;
            this.e("Placeholder");
        }
        get sameWidth() {
            return this.ah;
        }
        set sameWidth(a) {
            this.ah = a;
            this.e("SameWidth");
        }
        get dir() {
            return this.ap;
        }
        set dir(a) {
            this.ap = a;
            this.e("Dir");
        }
        get focusRef() {
            return this.aq;
        }
        set focusRef(a) {
            this.aq = a;
            this.e("FocusRef");
        }
        get blurRef() {
            return this.ao;
        }
        set blurRef(a) {
            this.ao = a;
            this.e("BlurRef");
        }
    }
    WebSelectDescription.$t = /*@__PURE__*/ markType(WebSelectDescription, 'WebSelectDescription', WebDropdownDescription.$);
    return WebSelectDescription;
})();
